You are here

Mono 4.9 and btls on linux

1 post / 0 new
troy
Offline
Joined: 5 years
Last seen: 3 years
Mono 4.9 and btls on linux

Hi there,

 

It seems like some of the horizon epg channels updated to different ssl handshakes (or something else broke) so I've tried updating mono to 4.9 and use the new btls method. Things don't seem to be working though.

Some infos:

EPG Channels: horizon.tv.at/horizon.tv.de

Ubuntu 16.04

Mono: Mono JIT compiler version 4.9.0 (Nightly 4.9.0.833/e7e0b46 Thu Nov 10 11:57:38 UTC 2016)

WebGrab+Plus/w MDB & REX Postprocess -- version  V1.57

 

What I did:

 

export MONO_TLS_PROVIDER=btls

cert-sync /etc/ssl/certs/ca-certificates.crt

Linux Cert Store Sync - version 4.9.0.0
Synchronize local certs with certs from local Linux trust store.
Copyright 2002, 2003 Motus Technologies. Copyright 2004-2008 Novell. BSD licensed.

I already trust 173, your new list has 173

Import process completed.

 

When I then try to grab EPG from horizon.tv.de/at I get:

update requested for - 24 - out of - 24 - channels for 8 day(s)
(   1/24  ) HORIZON.TV.AT -- chan. (xmltv_id=Sky Bundesliga 1) -- mode Force
i
error downloading page: Error: SecureChannelFailure (/usr/lib/../lib/libmono-btls-shared.so)
pausing 1 of 4 times for 30 seconds before re-try.

 

Any ideas where I went wrong?

 

Brought to you by Jan van Straaten

Program Development - Jan van Straaten ------- Web design - Francis De Paemeleere
Supported by: servercare.nl